# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# eclipse requires lots of RAM to build so set ~/.ant/ant.conf
# to something like:
#   ANT_OPTS="-Xms512M -Xmx512M"
#

Epoch:	1

%define antversion 1.6.2
%define junitversion 3.8.1
%define mozillaversion 1.7.12
%define tomcatversion 5.0.30

%define fedora		0
%define redhat		1
%if %{fedora}
%define gcj_support 	1
%else
%define gcj_support 	0
%endif
%define tomcatsharedir 	%{_datadir}/tomcat5
%define tomcatlibdir 	%{_var}/lib/tomcat5
%define pkg_summary     An open, extensible IDE
%define section         free
%define swt_version     3139
%define eclipse_major   3
%define eclipse_minor   1
%define eclipse_majmin  %{eclipse_major}.%{eclipse_minor}
%define eclipse_micro   2
%define libname         libswt3

# All arches line up except i386 -> x86
%ifarch %{ix86}
%define eclipse_arch    x86
%else
%define eclipse_arch   %{_arch}
%endif
%if %{gcj_support}
%ifarch %{ix86} x86_64 ppc
%define native_ecj   1
%else
%define native_ecj   0
%endif
%else
%define native_ecj   0
%endif

Summary:        %{pkg_summary}
Name:           eclipse
Version:        %{eclipse_majmin}.%{eclipse_micro}
Release:        2jpp
License:        EPL
Group:          Text Editors/Integrated Development Environments (IDE)
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://www.eclipse.org/
Source0: http://download.eclipse.org/eclipse/downloads/drops/R-3.1.2-200601181600/eclipse-sourceBuild-srcIncluded-3.1.2.zip
Source2:        %{name}.desktop
Source5:        %{name}-48.png
Source6:        %{name}.conf
Source7:        %{name}-jdt.install
Source8:        %{name}-pde.install     
Source9:        %{name}-platform.install
Source10:       %{libname}-gtk2.install
%if %{fedora}
Source11:	%{name}-fedora-splash-3.1.2.png
%endif
Source16:       %{name}-copy-platform.sh
Source17:       %{name}-efj-wrapper.sh
%if %{redhat}
Source18:	%{name}-redhat-splash.png
%endif
Source19:       %{name}-filenamepatterns.txt
Source20:	ecj.sh.in
Source21:	rebuild-sdk-features
# These need to be updated if we want to ship them
#%if %{redhat}
#Source22:	%{name}-rhdocs-r20041017.tar.gz
#Source23:       %{name}-tutorials.pdf
#%endif

# Build libswt-mozilla and use O2
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=71637
Patch0:         %{name}-libswt-enablemozillaandO2.patch
# Build JNI libs
# FIXME:  these should be built by upstream build method
# http://www.bagu.org/eclipse/plugin-source-drops.html
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=71637
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=86848
# GNU XML issue identified by Michael Koch
Patch2:		%{name}-build.patch
Patch4:		%{name}-libupdatebuild.patch
Patch5:		%{name}-libupdatebuild2.patch
# Use installed mozilla libs and headers
Patch11:	%{name}-libswt-mozilla.patch
# We can't really commit to doing builds for these arches upstream, but we
# need at least eclipse-ecj to run on them as it's our bytecode compiler for
# Fedora.
Patch13:	%{name}-s390ands390x.patch
# Stupid spaces in directories ...
Patch14:	%{name}-s390ands390x2.patch
# Build swttools.jar
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=90364
Patch18: 	%{name}-swttools.patch
# Add command-line source code formatter
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=75333
Patch19: 	%{name}-efj.patch
Patch25: 	%{name}-efj-doc.patch
# GNU-style JDT formatter
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=91770
Patch20: 	%{name}-gnuformatterjdt.patch
Patch21: 	%{name}-gnuformatterjdtui.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=90630
Patch22: 	%{name}-updatehomedir-core.patch
Patch23: 	%{name}-updatehomedir-ui.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=90535
Patch24: 	%{name}-fileinitializer.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=98371
Patch28: 	%{name}-tomcat5.patch
Patch29: 	%{name}-tomcat5-build.1.patch
Patch30: 	%{name}-tomcat5-build.2.patch
Patch50:        %{name}-tomcat5-build.3.patch
Patch31: 	%{name}-webapp-tomcat5.patch
# We don't have cairo in RHEL-4
Patch32:	%{name}-swt-nocairo.fc4.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=98707 
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=178726
Patch33:        %{name}-compare-create-api.patch
# JPackage []s in names of symlinks ...
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=162177
Patch34:	%{name}-bz162177.patch
Patch35:	%{name}-genjavadocoutput.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=105430
Patch36:	%{name}-ecj-classpath.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=109253
# http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=168040
Patch37:	%{name}-gre64.conf.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=114001
Patch38:	%{name}-helpindexbuilder.patch
Patch40:	%{name}-usebuiltlauncher.patch
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=79592
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=168726
Patch47:	%{name}-launcher-link.patch
# Don't attempt to link to Sun's javadocs
Patch48:	%{name}-javadoclinks.patch
# This doesn't appear to work on 1.4.2 proprietary JVMs
## Always generate debug info when building RPMs (Andrew Haley)
#Patch49:	%{name}-ecj-rpmdebuginfo.patch

%if %{gcj_support}
ExcludeArch: s390 s390x ppc64
%else
ExclusiveArch: %{ix86} x86_64 ppc ia64
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  ant
BuildRequires:  perl
BuildRequires:  jpackage-utils >= 0:1.5, make, gcc
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gcc-c++
%ifnarch ppc64
BuildRequires:  mozilla >= 1.7.12
BuildRequires:  mozilla-devel >= 1.7.12
BuildRequires:  mozilla-nspr-devel >= 1.7.12
BuildRequires:  xorg-x11-devel
%endif
BuildRequires:  unzip
BuildRequires:  java-javadoc
%if %{gcj_support}
BuildRequires:	gcc-java >= 4.0.2
BuildRequires:	java-gcj-compat-devel >= 1.0.33
BuildRequires:  dos2unix
%else
BuildRequires:	java-devel >= 1.4.2
%endif

BuildRequires: ant-antlr ant-apache-bcel ant-apache-bsf ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-commons-net
BuildRequires: ant-javamail ant-jdepend ant-junit ant-nodeps ant-swing ant-trax ant-jsch
BuildRequires: jsch >= 0:0.1.18-1jpp
BuildRequires: jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-digester jakarta-commons-dbcp jakarta-commons-el jakarta-commons-fileupload jakarta-commons-launcher jakarta-commons-logging jakarta-commons-modeler jakarta-commons-pool
BuildRequires: mx4j >= 2.1
BuildRequires: tomcat5 tomcat5-jasper tomcat5-servlet-2.4-api
BuildRequires: lucene
BuildRequires: lucene-demo
BuildRequires: regexp 
BuildRequires: junit >= 3.8.1-3jpp
%if %{gcj_support}
Requires(post):   java-gcj-compat >= 1.0.33
Requires(postun): java-gcj-compat >= 1.0.33
%endif

%description
The Eclipse Platform is designed for building integrated development
environments (IDEs) that can be used to create applications as diverse
as web sites, embedded Java(tm) programs, C++ programs, and Enterprise
JavaBeans(tm).

%package        ecj
Summary:        Eclipse Compiler for Java
Group:          Development/Languages
Obsoletes:	ecj
Provides:	ecj
%if %{gcj_support}
Requires:	libgcj >= 4.0.2
Requires(post):	java-gcj-compat >= 1.0.33
Requires(postun): java-gcj-compat >= 1.0.33
%else
Requires:	java >= 1.4.2
%endif

%description    ecj
Eclipse compiler for Java.

%package        platform
Summary:        Eclipse platform common files
Group:          Text Editors/Integrated Development Environments (IDE)
Provides:       %{name} = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-sdk %{name}-ui %{name}-gtk2 %{name}-scripts eclipse
Provides:	%{name}-sdk = %{epoch}:%{version}-%{release}
Provides:       %{name}-ui = %{epoch}:%{version}-%{release}
Provides:       %{name}-scripts = %{epoch}:%{version}-%{release}
Provides:       %{name}-gtk2 = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires:	libgcj >= 4.0.2
Requires:	java-gcj-compat >= 1.0.33
Requires(post):   java-gcj-compat >= 1.0.33
Requires(postun): java-gcj-compat >= 1.0.33
%else
Requires:	java >= 1.4.2
%endif
Requires:       %{name}-rcp = %{epoch}:%{version}-%{release}
Requires:       %{libname}-gtk2 = %{epoch}:%{version}-%{release}
Requires:       /usr/bin/perl
Requires:       /usr/bin/mozilla
Requires:       java-javadoc

BuildRequires:    gtk2 >= 2.4
Requires:         gtk2 >= 2.4

Requires: ant-antlr ant-apache-bcel ant-apache-bsf ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-commons-net
Requires: ant-javamail ant-jdepend ant-junit ant-nodeps ant-swing ant-trax ant-jsch
Requires: jsch >= 0:0.1.18-1jpp
Requires: jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-digester jakarta-commons-dbcp jakarta-commons-el jakarta-commons-fileupload jakarta-commons-launcher jakarta-commons-logging jakarta-commons-modeler jakarta-commons-pool
Requires: mx4j >= 2.1
Requires: tomcat5 tomcat5-jasper tomcat5-servlet-2.4-api
Requires: lucene
Requires: lucene-demo
Requires: regexp

%description    platform
Eclipse platform common files.  This package now contains the GTK2 UI (the
former eclipse-gtk2 package).

%package        platform-devel
Summary:        Eclipse platform Source
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-platform = %{epoch}:%{version}-%{release}
Requires:       %{name}-rcp-devel = %{epoch}:%{version}-%{release}
Requires(post):   %{name}-platform = %{epoch}:%{version}-%{release}
Requires(postun): %{name}-platform = %{epoch}:%{version}-%{release}

%description    platform-devel
Source for Eclipse platform for use within Eclipse.

%package        jdt
Summary:        Eclipse Java development tools
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-platform = %{epoch}:%{version}-%{release}
Requires:       %{name}-ecj = %{epoch}:%{version}-%{release}
Requires:       junit >= 3.8.1-3jpp
Requires(post):   %{name}-platform = %{epoch}:%{version}-%{release}
Requires(postun): %{name}-platform = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires:	libgcj >= 4.0.2
Requires(post):   java-gcj-compat >= 1.0.33
Requires(postun): java-gcj-compat >= 1.0.33
%endif

%description    jdt
Eclipse Java developments tools.

%package        jdt-devel
Summary:        Eclipse JDT Source
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jdt = %{epoch}:%{version}-%{release}
Requires(post):   %{name}-platform = %{epoch}:%{version}-%{release}
Requires(postun): %{name}-platform = %{epoch}:%{version}-%{release}

%description    jdt-devel
Source for JDT for use within Eclipse.

%package        pde
Summary:        Eclipse PDE
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-jdt = %{epoch}:%{version}-%{release}
Requires:       %{name}-platform-devel = %{epoch}:%{version}-%{release}
Requires(post):   %{name}-platform = %{epoch}:%{version}-%{release}
Requires(postun): %{name}-platform = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires:	libgcj >= 4.0.2
Requires(post):   java-gcj-compat >= 1.0.33
Requires(postun): java-gcj-compat >= 1.0.33
%endif

%description    pde
Eclipse Plug-in Development Environment.

%package        pde-devel
Summary:        Eclipse PDE Source
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-pde = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdt-devel = %{epoch}:%{version}-%{release}
Requires(post):   %{name}-platform = %{epoch}:%{version}-%{release}
Requires(postun): %{name}-platform = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-source
Provides:       %{name}-source = %{epoch}:%{version}-%{release}

%description    pde-devel
Source for PDE for use within Eclipse.

%package     -n %{libname}-gtk2
Summary:        SWT Library for GTK2
Group:          Text Editors/Integrated Development Environments (IDE)
%if %{gcj_support}
Requires:	libgcj >= 4.0.2
Requires(post):   java-gcj-compat >= 1.0.33
Requires(postun): java-gcj-compat >= 1.0.33
%endif

%description -n %{libname}-gtk2
SWT Library for GTK2.

%package        rcp
Summary:        Eclipse Rich Client Platform
Group:          Development/Languages
%if %{gcj_support}
Requires:	libgcj >= 4.0.2
Requires(post):   java-gcj-compat >= 1.0.33
Requires(postun): java-gcj-compat >= 1.0.33
%else
Requires:	java >= 1.4.2
%endif

%description    rcp
Eclipse Rich Client Platform

%package        rcp-devel
Summary:        Eclipse RCP Source
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-rcp = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdt-devel = %{epoch}:%{version}-%{release}

%description    rcp-devel
Source for RCP for use within Eclipse.

%prep
%setup -q -c

# I hate spaces in paths with patch!
pushd plugins/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library
%patch0 -p0
%patch11 -p0
%if %{gcj_support}
#%patch14 -p0
%endif
popd
%patch2 -p0
%patch4 -p0
%patch5 -p0
%if %{gcj_support}
#%patch13 -p1
%endif
pushd plugins/org.eclipse.swt.gtk.linux.x86_64
%patch18 -p0
popd
pushd plugins/org.eclipse.jdt.core
%patch19 -p1
#%patch20 -p0
popd
pushd plugins/org.eclipse.jdt.doc.user
%patch25 -p1
popd
#pushd plugins/org.eclipse.jdt.ui
#%patch21 -p0
#popd
pushd plugins/org.eclipse.update.core
%patch22 -p0
popd
pushd plugins/org.eclipse.update.ui
%patch23 -p0
popd
pushd plugins/org.eclipse.core.runtime
%patch24 -p0
popd
pushd plugins/org.eclipse.tomcat
%patch28 -p0
%patch29 -p0
popd
%patch30 -p0
%patch50 -p1
pushd plugins/org.eclipse.help.webapp
%patch31 -p0
popd
# Remove the pre-built cairo libraries
pushd plugins/org.eclipse.swt.gtk.linux.x86
rm libcairo.so.1
popd
pushd plugins/org.eclipse.swt.gtk.linux.x86_64
rm libcairo.so.1
popd
pushd plugins/org.eclipse.swt.motif.linux.x86
rm libcairo.so.1
popd
%patch32 -p0
pushd plugins/org.eclipse.compare
%patch33 -p0
popd
%patch34 -p1
%patch35 -p0
%patch36 -p1
%patch38 -p0
%patch40 -p0

# Because the launcher source is zipped up, we need to unzip, patch, and re-pack
mkdir launchertmp
unzip -d launchertmp plugins/org.eclipse.platform/launchersrc.zip
pushd launchertmp
%patch37 -p1
%patch47 -p1
zip -9 -r ../launchersrc.zip *
popd
mv launchersrc.zip plugins/org.eclipse.platform
rm -rf launchertmp

pushd features/org.eclipse.platform.launchers
%patch37 -p1
%patch47 -p1
popd
# Link against our system-installed javadocs
%patch48 -p0
pushd plugins/org.eclipse.jdt.doc.isv
sed --in-place "s:/usr/share/:%{_datadir}/:g" jdtOptions
popd
pushd plugins/org.eclipse.pde.doc.user
sed --in-place "s:/usr/share/:%{_datadir}/:g" pdeOptions
popd
pushd plugins/org.eclipse.platform.doc.isv
sed --in-place "s:/usr/share/:%{_datadir}/:g" platformOptions
popd
#%patch49 -p0

%if %{fedora}
  # Fedora splash screen.
  pushd plugins/org.eclipse.platform
  cp %{SOURCE11} splash.bmp
  popd
%endif
%if %{redhat}
  # Red Hat splash screen.
  pushd plugins/org.eclipse.platform
  cp %{SOURCE18} splash.bmp
  popd
%endif

# Remove existing .sos
find -name \*.so -exec rm "-f" "{}" ";"

# Symlinks

## BEGIN ANT ##
ln -sf %{_javadir}/ant/ant-antlr.jar plugins/org.apache.ant/lib/ant-antlr.jar
ln -sf %{_javadir}/ant/ant-apache-bcel.jar plugins/org.apache.ant/lib/ant-apache-bcel.jar
ln -sf %{_javadir}/ant/ant-apache-bsf.jar plugins/org.apache.ant/lib/ant-apache-bsf.jar
ln -sf %{_javadir}/ant/ant-apache-log4j.jar plugins/org.apache.ant/lib/ant-apache-log4j.jar
ln -sf %{_javadir}/ant/ant-apache-oro.jar plugins/org.apache.ant/lib/ant-apache-oro.jar
ln -sf %{_javadir}/ant/ant-apache-regexp.jar plugins/org.apache.ant/lib/ant-apache-regexp.jar
ln -sf %{_javadir}/ant/ant-apache-resolver.jar plugins/org.apache.ant/lib/ant-apache-resolver.jar
ln -sf %{_javadir}/ant/ant-commons-logging.jar plugins/org.apache.ant/lib/ant-commons-logging.jar
ln -sf %{_javadir}/ant/ant-commons-net.jar plugins/org.apache.ant/lib/ant-commons-net.jar
# FIXME:  Don't symlink this until we have ant 1.6.5 (rh#162444)
#ln -sf %{_javadir}/ant.jar plugins/org.apache.ant/lib/ant.jar
ln -sf %{_javadir}/ant/ant-javamail.jar plugins/org.apache.ant/lib/ant-javamail.jar
ln -sf %{_javadir}/ant/ant-jdepend.jar plugins/org.apache.ant/lib/ant-jdepend.jar
ln -sf %{_javadir}/ant/ant-jsch.jar plugins/org.apache.ant/lib/ant-jsch.jar
ln -sf %{_javadir}/ant/ant-junit.jar plugins/org.apache.ant/lib/ant-junit.jar
ln -sf %{_javadir}/ant-launcher.jar plugins/org.apache.ant/lib/ant-launcher.jar
ln -sf %{_javadir}/ant/ant-nodeps.jar plugins/org.apache.ant/lib/ant-nodeps.jar
ln -sf %{_javadir}/ant/ant-swing.jar plugins/org.apache.ant/lib/ant-swing.jar
ln -sf %{_javadir}/ant/ant-trax.jar plugins/org.apache.ant/lib/ant-trax.jar
# We used to ship these pre-built, but we're not going to do that anymore.  If
# we can build them using free stuff, we will. -- overholt, 2005-07-04
rm -f plugins/org.apache.ant/lib/ant-icontract.jar
rm -f plugins/org.apache.ant/lib/ant-jai.jar
rm -f plugins/org.apache.ant/lib/ant-netrexx.jar
rm -f plugins/org.apache.ant/lib/ant-starteam.jar
rm -f plugins/org.apache.ant/lib/ant-stylebook.jar
rm -f plugins/org.apache.ant/lib/ant-vaj.jar
rm -f plugins/org.apache.ant/lib/ant-weblogic.jar
rm -f plugins/org.apache.ant/lib/ant-xalan1.jar
rm -f plugins/org.apache.ant/lib/ant-xslp.jar
## END ANT ##
# BEGIN LUCENE ##
ln -sf %{_javadir}/lucene.jar plugins/org.apache.lucene/lucene-1.4.3.jar
ln -sf %{_datadir}/lucene/lucene-demos-1.4.3.jar plugins/org.apache.lucene/parser.jar
# FIXME:  Remove this zip until we have a lucene-devel package containing it.
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=170343
rm -f plugins/org.apache.lucene/lucene-1.4.3-src.zip
# END LUCENE ##
ln -sf %{_javadir}/jsch.jar plugins/org.eclipse.team.cvs.ssh2/jsch-0.1.18.jar
## BEGIN TOMCAT ##
rm -f plugins/org.eclipse.tomcat/jakarta-regexp-1.3.jar
rm -f plugins/org.eclipse.tomcat/servlet.jar
rm -f plugins/org.eclipse.tomcat/servlets-manager.jar
rm -f plugins/org.eclipse.tomcat/naming-common.jar
rm -f plugins/org.eclipse.tomcat/servlets-common.jar
rm -f plugins/org.eclipse.tomcat/tomcat-http11.jar
ln -sf %{tomcatsharedir}/bin/bootstrap.jar plugins/org.eclipse.tomcat/bootstrap.jar
ln -sf %{tomcatlibdir}/server/lib/catalina.jar plugins/org.eclipse.tomcat/catalina.jar
ln -sf %{tomcatlibdir}/server/lib/catalina-optional.jar plugins/org.eclipse.tomcat/catalina-optional.jar
ln -sf %{_javadir}/commons-beanutils.jar plugins/org.eclipse.tomcat/commons-beanutils.jar
ln -sf %{_javadir}/commons-collections.jar plugins/org.eclipse.tomcat/commons-collections.jar
ln -sf %{_javadir}/commons-dbcp.jar plugins/org.eclipse.tomcat/commons-dbcp.jar
ln -sf %{_javadir}/commons-digester.jar plugins/org.eclipse.tomcat/commons-digester.jar
ln -sf %{_javadir}/commons-digester-rss.jar plugins/org.eclipse.tomcat/commons-digester-rss.jar
ln -sf %{_javadir}/commons-el.jar plugins/org.eclipse.tomcat/commons-el.jar
ln -sf %{_javadir}/commons-fileupload.jar plugins/org.eclipse.tomcat/commons-fileupload.jar
ln -sf %{_javadir}/commons-launcher.jar plugins/org.eclipse.tomcat/commons-launcher.jar
ln -sf %{_javadir}/commons-logging.jar plugins/org.eclipse.tomcat/commons-logging.jar
ln -sf %{_javadir}/commons-logging-api.jar plugins/org.eclipse.tomcat/commons-logging-api.jar
ln -sf %{_javadir}/commons-modeler.jar plugins/org.eclipse.tomcat/commons-modeler.jar
ln -sf %{_javadir}/commons-pool.jar plugins/org.eclipse.tomcat/commons-pool.jar
ln -sf %{_javadir}/jasper5-compiler.jar  plugins/org.eclipse.tomcat/jasper-compiler.jar
ln -sf %{_javadir}/jasper5-runtime.jar plugins/org.eclipse.tomcat/jasper-runtime.jar
ln -sf %{_javadir}/jspapi.jar plugins/org.eclipse.tomcat/jspapi.jar
ln -sf %{_javadir}/mx4j/mx4j.jar plugins/org.eclipse.tomcat/mx4j.jar
ln -sf %{_javadir}/mx4j/mx4j-impl.jar plugins/org.eclipse.tomcat/mx4j-impl.jar
ln -sf %{_javadir}/mx4j/mx4j-jmx.jar plugins/org.eclipse.tomcat/mx4j-jmx.jar
ln -sf %{tomcatlibdir}/common/lib/naming-factory.jar plugins/org.eclipse.tomcat/naming-factory.jar
ln -sf %{tomcatlibdir}/common/lib/naming-resources.jar plugins/org.eclipse.tomcat/naming-resources.jar
ln -sf %{_javadir}/regexp-1.3.jar plugins/org.eclipse.tomcat/regexp-1.3.jar
ln -sf %{_javadir}/servletapi5.jar plugins/org.eclipse.tomcat/servletapi5.jar
ln -sf %{tomcatlibdir}/server/lib/servlets-default.jar plugins/org.eclipse.tomcat/servlets-default.jar
ln -sf %{tomcatlibdir}/server/lib/servlets-invoker.jar plugins/org.eclipse.tomcat/servlets-invoker.jar
ln -sf %{tomcatlibdir}/server/lib/tomcat-coyote.jar plugins/org.eclipse.tomcat/tomcat-coyote.jar
ln -sf %{tomcatlibdir}/server/lib/tomcat-http11.jar plugins/org.eclipse.tomcat/tomcat-http11.jar
ln -sf %{tomcatlibdir}/server/lib/tomcat-util.jar plugins/org.eclipse.tomcat/tomcat-util.jar
## END TOMCAT ##
ln -sf %{_javadir}/junit.jar plugins/org.junit/junit.jar

rm -f *.jar

pushd plugins/org.eclipse.swt/Eclipse\ SWT\ PI/gtk/library
# /usr/lib -> /usr/lib64
sed --in-place "s:/usr/lib/:%{_libdir}/:g" build.sh
sed --in-place "s:-L\$(AWT_LIB_PATH):-L%{_jvmdir}/java/jre/lib/%{_arch} -L%{_jvmdir}/java/jre/bin:" make_linux.mak
popd

# jni.h
pushd plugins/org.eclipse.core.resources.linux/src
sed --in-place "s:~/vm/sun142:%{java_home}:" Makefile
popd


%build
ORIGCLASSPATH=$CLASSPATH

# Bootstrapping is 3 parts:
# 1. Build ecj with gcj -C -- only necessary until gcjx/ecj lands in gcc
# 2. Build ecj with gcj-built ecj ("javac")
# 3. Re-build ecj with output of 2.

%if %{gcj_support}
  # Unzip the "stable compiler" source into a temp dir and build it.
  # Note:  we don't want to build the CompilerAdapter.
  mkdir ecj-bootstrap-tmp
  unzip -qq -d ecj-bootstrap-tmp jdtcoresrc/src/ecj.zip
  rm -f ecj-bootstrap-tmp/org/eclipse/jdt/core/JDTCompilerAdapter.java
  
  # 1a. Build ecj with gcj -C
  pushd ecj-bootstrap-tmp
  for f in `find -name '*.java' | cut -c 3-`; do
      gcj -Wno-deprecated -C $f
  done
  find -name '*.class' -or -name '*.properties' -or -name '*.rsc' |\
      xargs jar cf ../ecj-bootstrap.jar
  popd
  
  # Delete our modified ecj and restore the backup
  rm -rf ecj-bootstrap-tmp
  
%if %{native_ecj}
    # 1b. Natively-compile it
    gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
      -o ecj-bootstrap.jar.so ecj-bootstrap.jar
   
    gcj-dbtool -n ecj-bootstrap.db 30000
    gcj-dbtool -a ecj-bootstrap.db ecj-bootstrap.jar{,.so}
%endif
  
  # 2a. Build ecj
  export CLASSPATH=ecj-bootstrap.jar:$ORIGCLASSPATH
%if %{native_ecj}
  export ANT_OPTS="-Dgnu.gcj.precompiled.db.path=`pwd`/ecj-bootstrap.db"
%endif
%endif
ant -buildfile jdtcoresrc/compilejdtcorewithjavac.xml

%if %{native_ecj}
  # 2b. Natively-compile ecj
  gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
    -o jdtcoresrc/ecj.jar.so jdtcoresrc/ecj.jar
   
  gcj-dbtool -n jdtcoresrc/ecj.db 30000
  gcj-dbtool -a jdtcoresrc/ecj.db jdtcoresrc/ecj.jar{,.so}

  # Remove our gcj-built ecj
  rm ecj-bootstrap.db ecj-bootstrap.jar{,.so}

  # To enSURE we're not using any pre-compiled ecj on the build system, set this
  export ANT_OPTS="-Dgnu.gcj.precompiled.db.path=`pwd`/jdtcoresrc/ecj.db"
%endif

# 3. Use this ecj to rebuild itself
export CLASSPATH=`pwd`/jdtcoresrc/ecj.jar:$ORIGCLASSPATH
ant -buildfile jdtcoresrc/compilejdtcore.xml

%if %{native_ecj}
  # Natively-compile it
  gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic \
    -o ecj.jar.so ecj.jar
  gcj-dbtool -n ecj.db 30000
  gcj-dbtool -a ecj.db ecj.jar{,.so}
  export ANT_OPTS="-Dgnu.gcj.precompiled.db.path=`pwd`/ecj.db"
  
  # Remove old native bits
  rm jdtcoresrc/ecj.db jdtcoresrc/ecj.jar.so
%endif

# Build the rest of Eclipse
export CLASSPATH=`pwd`/ecj.jar:$ORIGCLASSPATH
export JAVA_HOME=%{java_home}
ant \
  -Dnobootstrap=true \
  -DinstallOs=linux -DinstallWs=gtk -DinstallArch=%{eclipse_arch} \
  -Dlibsconfig=true

# This needs to be updated to 3.1.x
#%if %{redhat}
## Overwrite eclipse.org documentation with our own and then build the docs
#pushd plugins
#ln org.eclipse.platform/startup.jar ../.
#for buildDoc in `/usr/bin/gzip -dc %{SOURCE22} | tar -vxf - | grep build.xml`; do
#        pushd `echo $buildDoc | sed -e 's/build.xml//g'`
#        if [ -e buildDoc.xml ]; then
#                java -cp ../../startup.jar org.eclipse.core.launcher.Main -application org.eclipse.ant.core.antRunner -v -f buildDoc.xml
#        fi
#        popd
#done
#rm ../startup.jar
#popd
#%endif

# Hack to get the -debuginfo source code references
# to be pointing to the right place:
# Hardlink all the org.* source we can find
# Presumably, all the zipped source gets unzipped before compilation?
#src_root=$PWD/plugins
#pushd result
#mkdir -p eclipse/org
#collected_src_dir=$PWD/eclipse
#cat >copyallsrc <<-EOF
#	#! /bin/bash -peu
#	cd "\$1"
#	echo "Copying all .java source files from \$1 to $collected_src_dir..."
#	find . -type f -name '*.java' -print0 \
#	| xargs -0 -r cp -l --parents --target-directory=$collected_src_dir/org
#EOF
#chmod u+x copyallsrc
## Special case logic for SWT - only copy linux-gtk source
#find $src_root -type d -a \( -name org.eclipse.swt -prune -o -name org -print0 \) | xargs -l -0 ./copyallsrc
#./copyallsrc $src_root/org.eclipse.swt/Eclipse\ SWT/gtk/org
#popd

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

tar -C $RPM_BUILD_ROOT%{_datadir} -zxf \
  result/linux-gtk-%{eclipse_arch}-sdk.tar.gz

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}

# Extract .so files
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=90535
java -cp startup.jar org.eclipse.core.launcher.Main -consolelog -application org.eclipse.core.runtime.initializer -fileInitializer %{SOURCE19}
popd

# Binaries, libraries, and natively-built shared libraries
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}

# Eclipse binary
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/eclipse \
  $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -sf %{_libdir}/%{name}/eclipse eclipse

# Symlink JNI libraries
for l in `find configuration -name \*.so`; do
    mv $l $RPM_BUILD_ROOT%{_libdir}/%{name};
    pushd `dirname $l`;
      ln -sf %{_libdir}/%{name}/`basename $l`;
    popd;
    # SWT bundle stuff should go in libswt3-gtk
    # Contents of other bundles should go in eclipse-platform
    if [ "`basename $l`" = "libswt-gtk-%{swt_version}.so" ]
    then
        pushd `dirname $l`;
          cd ../..;
          currentDir=`pwd`;
          # Add this directory to the files list for libswt
          # This topmostDirs hack is needed due to differences in directory
          # layout between the build system and regular machines
          topmostDirs=`echo $currentDir | gawk -F '/' '{ print $2"-"$3 }'`;
          if [ "$topmostDirs" = "var-tmp" ]; then
            echo $currentDir | gawk -F '/' '{ print "/"$5"/"$6"/"$7"/"$8"/"$9"/"$10"/"$11"/"$12 }' > %{_builddir}/%{buildsubdir}/%{libname}-gtk2.install;
          else
            echo $currentDir | gawk -F '/' '{ print "/"$7"/"$8"/"$9"/"$10"/"$11"/"$12"/"$13"/"$14 }' > %{_builddir}/%{buildsubdir}/%{libname}-gtk2.install;
          fi
          # no idea why any of this is necessary, let alone this part -jasonc
          sed -i 's,/eclipse-3.1.2-2jpp-buildroot,,g' %{_builddir}/%{buildsubdir}/%{libname}-gtk2.install;
        popd
    elif [ "`basename $l`" = "libcore_3_1_0.so" ]; then
        pushd `dirname $l`;
          cd ../../../../..;
          currentDir=`pwd`;
          # Add this directory to the files list for eclipse-platform
          # This topmostDirs hack is needed due to differences in directory
          # layout between the build system and regular machines
          topmostDirs=`echo $currentDir | gawk -F '/' '{ print $2"-"$3 }'`;
          if [ "$topmostDirs" = "var-tmp" ]; then
            echo $currentDir | gawk -F '/' '{ print "/"$5"/"$6"/"$7"/"$8"/"$9"/"$10"/"$11"/"$12 }' >> %{_builddir}/%{buildsubdir}/%{name}-platform.install;
          else
            echo $currentDir | gawk -F '/' '{ print "/"$7"/"$8"/"$9"/"$10"/"$11"/"$12"/"$13"/"$14 }' >> %{_builddir}/%{buildsubdir}/%{name}-platform.install;
          fi
          # same here -jasonc
          sed -i 's,/eclipse-3.1.2-2jpp-buildroot,,g' %{_builddir}/%{buildsubdir}/%{name}-platform.install;
        popd
    elif [ "`basename $l`" = "libupdate.so" ]; then
        pushd `dirname $l`;
          cd ../../../../..;
          currentDir=`pwd`;
          # Add this directory to the files list for eclipse-platform
          # This topmostDirs hack is needed due to differences in directory
          # layout between the build system and regular machines
          topmostDirs=`echo $currentDir | gawk -F '/' '{ print $2"-"$3 }'`;
          if [ "$topmostDirs" = "var-tmp" ]; then
            echo $currentDir | gawk -F '/' '{ print "/"$5"/"$6"/"$7"/"$8"/"$9"/"$10"/"$11"/"$12 }' >> %{_builddir}/%{buildsubdir}/%{name}-platform.install;
          else
            echo $currentDir | gawk -F '/' '{ print "/"$7"/"$8"/"$9"/"$10"/"$11"/"$12"/"$13"/"$14 }' >> %{_builddir}/%{buildsubdir}/%{name}-platform.install;
          fi
          # and here -jasonc
          sed -i 's,/eclipse-3.1.2-2jpp-buildroot,,g' %{_builddir}/%{buildsubdir}/%{name}-platform.install;
        popd
    fi
done
popd

pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
chmod -R 755 eclipse *.so
popd

### begin libswt-gtk2 symlinks
pushd $RPM_BUILD_ROOT%{_libdir}
for base in awt-gtk atk-gtk mozilla-gtk gnome-gtk gtk pi-gtk; do
  ln -sf %{_libdir}/%{name}/libswt-${base}-%{swt_version}.so \
         libswt-${base}-%{swt_version}.so
done
popd
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
pushd $RPM_BUILD_ROOT%{_javadir}
#ln -sf %{_datadir}/%{name}/plugins/org.eclipse.swt.gtk.linux.%{eclipse_arch}_%{eclipse_majmin}.%{eclipse_micro}.jar swt-gtk-%{eclipse_majmin}.%{eclipse_micro}.jar
#ln -sf %{_javadir}/swt-gtk-%{eclipse_majmin}.%{eclipse_micro}.jar swt-gtk-%{eclipse_majmin}.jar
# SWT is still a 3.1.1 jar ... (rh#180000)
ln -sf %{_datadir}/%{name}/plugins/org.eclipse.swt.gtk.linux.%{eclipse_arch}_3.1.1.jar swt-gtk-3.1.1.jar
ln -sf %{_javadir}/swt-gtk-3.1.1.jar swt-gtk-%{eclipse_majmin}.jar
popd
### end libswt-gtk2 symlinks

mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s %{_datadir}/%{name}/%{name}
popd

# Default config
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
perl -pe 's|/usr/lib/eclipse/|%{_datadir}/%{name}/|g' \
  %{SOURCE6} > $RPM_BUILD_ROOT%{_sysconfdir}/eclipse.conf

# rh/freedesktop.org icons
install -p -D -m0644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
ln -s ../../../../%{name}/plugins/org.eclipse.platform_%{eclipse_majmin}.%{eclipse_micro}/eclipse32.gif \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
ln -s ../../../../%{name}/plugins/org.eclipse.platform_%{eclipse_majmin}.%{eclipse_micro}/eclipse.gif \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
# Remove unused icon.xpm
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/icon.xpm

# install the efj wrapper script and change the Eclipse installation dir
install -p -D -m0755 %{SOURCE17} $RPM_BUILD_ROOT%{_bindir}/efj
sed --in-place "s:startup.jar:%{_datadir}/%{name}/startup.jar:" \
  $RPM_BUILD_ROOT%{_bindir}/efj 

# A sanity check.
desktop-file-validate %{SOURCE2}

# freedesktop.org menu entry
install -p -D -m0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

cat %{SOURCE7} > %{name}-jdt.install
cat %{SOURCE8} > %{name}-pde.install
cat %{SOURCE9} >> %{name}-platform.install
cat %{SOURCE10} >> %{libname}-gtk2.install

cat >> $RPM_BUILD_ROOT%{_datadir}/%{name}/.eclipseproduct << EOF
name=Eclipse Platform
id=org.eclipse.platform
version=%{eclipse_majmin}.%{eclipse_micro}
EOF

%if %{fedora}
# Put Fedora Core version into about.mappings of org.eclipse.sdk to show it in
# Eclipse about dialog.  (courtesy Debian Eclipse packagers)
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/org.eclipse.sdk_%{eclipse_majmin}.%{eclipse_micro}
FEDORA_VERSION=`cat /etc/fedora-release`
sed -e "s/\(0=.*\)/\1 ($FEDORA_VERSION)/" < about.mappings > about.mappings.tmp
mv about.mappings.tmp about.mappings
popd
%endif

# This needs to be updated if we want to ship it
#%if %{redhat}
## rh docs
#install -p -D -m0644 %{SOURCE23} \
#  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{eclipse_majmin}.%{eclipse_micro}/%{name}-tutorial.pdf
#%endif

# Create a script that can be used to make a symlink tree of the
# eclipse platform.
cp %{SOURCE16} copy-platform
(
  cd $RPM_BUILD_ROOT%{_datadir}/%{name}
  ls -d * | egrep -v '^(plugins|features)$'
  ls -d plugins/* features/*
) |
sed -e's/^\(.*\)$/\1 \1/' -e's,^,ln -s $eclipse/,' >> copy-platform

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts
cp copy-platform $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts
chmod a+x $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts/copy-platform
install -p -D -m0755 %{SOURCE21} $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts/rebuild-sdk-features
sed --in-place "s:@SDK_VERSION@:%{version}:" \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts/rebuild-sdk-features 
sed --in-place "s:/usr/share/eclipse:%{_datadir}/%{name}:" \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts/rebuild-sdk-features 
chmod a+x $RPM_BUILD_ROOT%{_datadir}/%{name}/buildscripts/rebuild-sdk-features

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
## BEGIN ANT ##
ln -sf %{_javadir}/ant/ant-antlr.jar plugins/org.apache.ant_*/lib/ant-antlr.jar
ln -sf %{_javadir}/ant/ant-apache-bcel.jar plugins/org.apache.ant_*/lib/ant-apache-bcel.jar
ln -sf %{_javadir}/ant/ant-apache-bsf.jar plugins/org.apache.ant_*/lib/ant-apache-bsf.jar
ln -sf %{_javadir}/ant/ant-apache-log4j.jar plugins/org.apache.ant_*/lib/ant-apache-log4j.jar
ln -sf %{_javadir}/ant/ant-apache-oro.jar plugins/org.apache.ant_*/lib/ant-apache-oro.jar
ln -sf %{_javadir}/ant/ant-apache-regexp.jar plugins/org.apache.ant_*/lib/ant-apache-regexp.jar
ln -sf %{_javadir}/ant/ant-apache-resolver.jar plugins/org.apache.ant_*/lib/ant-apache-resolver.jar
ln -sf %{_javadir}/ant/ant-commons-logging.jar plugins/org.apache.ant_*/lib/ant-commons-logging.jar
ln -sf %{_javadir}/ant/ant-commons-net.jar plugins/org.apache.ant_*/lib/ant-commons-net.jar
# FIXME:  Don't symlink this until we have ant 1.6.5 (rh#162444)
#ln -sf %{_javadir}/ant.jar plugins/org.apache.ant_*/lib/ant.jar
ln -sf %{_javadir}/ant/ant-javamail.jar plugins/org.apache.ant_*/lib
ln -sf %{_javadir}/ant/ant-jdepend.jar plugins/org.apache.ant_*/lib/ant-jdepend.jar
ln -sf %{_javadir}/ant/ant-jsch.jar plugins/org.apache.ant_*/lib/ant-jsch.jar
ln -sf %{_javadir}/ant/ant-junit.jar plugins/org.apache.ant_*/lib/ant-junit.jar
ln -sf %{_javadir}/ant-launcher.jar plugins/org.apache.ant_*/lib/ant-launcher.jar
ln -sf %{_javadir}/ant/ant-nodeps.jar plugins/org.apache.ant_*/lib/ant-nodeps.jar
ln -sf %{_javadir}/ant/ant-swing.jar plugins/org.apache.ant_*/lib/ant-swing.jar
ln -sf %{_javadir}/ant/ant-trax.jar plugins/org.apache.ant_*/lib/ant-trax.jar
# We used to ship these pre-built, but we're not going to do that anymore.  If
# we can build them using free stuff, we will. -- overholt, 2005-07-04
rm -f plugins/org.apache.ant_*/lib/ant-icontract.jar
rm -f plugins/org.apache.ant_*/lib/ant-jai.jar
rm -f plugins/org.apache.ant_*/lib/ant-jmf.jar
rm -f plugins/org.apache.ant_*/lib/ant-netrexx.jar
rm -f plugins/org.apache.ant_*/lib/ant-starteam.jar
rm -f plugins/org.apache.ant_*/lib/ant-stylebook.jar
rm -f plugins/org.apache.ant_*/lib/ant-vaj.jar
rm -f plugins/org.apache.ant_*/lib/ant-weblogic.jar
rm -f plugins/org.apache.ant_*/lib/ant-xalan1.jar
rm -f plugins/org.apache.ant_*/lib/ant-xslp.jar
## END ANT ##
# BEGIN LUCENE ##
ln -sf %{_javadir}/lucene.jar plugins/org.apache.lucene_*/lucene-1.4.3.jar
ln -sf %{_datadir}/lucene/lucene-demos-1.4.3.jar plugins/org.apache.lucene_*/parser.jar
# FIXME:  Remove this zip until we have a lucene-devel package containing it.
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=170343
rm -f plugins/org.apache.lucene_*/lucene-1.4.3-src.zip
# END LUCENE ##
ln -sf %{_javadir}/jsch.jar plugins/org.eclipse.team.cvs.ssh2_*/jsch-0.1.18.jar
## BEGIN TOMCAT ##
rm -f plugins/org.eclipse.tomcat_*/jakarta-regexp-1.3.jar
rm -f plugins/org.eclipse.tomcat_*/servlet.jar
rm -f plugins/org.eclipse.tomcat_*/servlets-manager.jar
rm -f plugins/org.eclipse.tomcat_*/naming-common.jar
rm -f plugins/org.eclipse.tomcat_*/servlets-common.jar
rm -f plugins/org.eclipse.tomcat_*/tomcat-http11.jar
ln -sf %{tomcatsharedir}/bin/bootstrap.jar \
    plugins/org.eclipse.tomcat_%{tomcatversion}/bootstrap.jar
for i in catalina catalina-optional naming-factory naming-resources \
         servletapi5 servlets-default servlets-invoker tomcat-coyote \
         tomcat-http11 tomcat-util; do
    ln -sf %{tomcatlibdir}/server/lib/${i}.jar \
        plugins/org.eclipse.tomcat_%{tomcatversion}
done
for i in commons-beanutils commons-collections commons-dbcp \
         commons-digester commons-digester-rss commons-el \
         commons-fileupload commons-launcher commons-logging \
         commons-logging-api commons-modeler commons-pool \
         jasper-compiler jasper-runtime jspapi regexp; do
    ln -sf %{_javadir}/${i}.jar \
        plugins/org.eclipse.tomcat_%{tomcatversion}
done
for i in mx4j mx4j-impl mx4j-jmx; do
    ln -sf %{_javadir}/mx4j/${i}.jar \
        plugins/org.eclipse.tomcat_%{tomcatversion}
done
## BEGIN TOMCAT ##
ln -sf %{_javadir}/junit.jar plugins/org.junit_*/junit.jar

# Symlink org.eclipse.jdt.core_%{eclipse_majmin}.%{eclipse_micro}.jar in
# %{_datadir}/java/eclipse-ecj.jar for java-1.4.2-gcj-compat's "javac"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/java
ln -s %{_datadir}/%{name}/plugins/org.eclipse.jdt.core_%{eclipse_majmin}.%{eclipse_micro}.jar \
  $RPM_BUILD_ROOT%{_datadir}/java/eclipse-ecj.jar
ln -s %{_datadir}/java/eclipse-ecj.jar \
  $RPM_BUILD_ROOT%{_datadir}/java/jdtcore.jar

%if %{gcj_support}
aot-compile-rpm
%endif

# FIXME:  due to aot-compile-rpm smarts, the required resource bundles aren't
# being compiled so this truly native ecj binary isn't possible
#%if %{native_ecj}
# # Build and install ecj binary
# pushd $RPM_BUILD_ROOT%{_libdir}/gcj/%{name}
#   gcj -g -O2 --main=org.eclipse.jdt.internal.compiler.batch.Main \
#     -Wl,-R,%{_libdir}/gcj/%{name} \
#     org.eclipse.jdt.core_3.1.2.jar.so -o \
#     $RPM_BUILD_ROOT%{_bindir}/ecj
# popd
# chmod a+x $RPM_BUILD_ROOT%{_bindir}/ecj
#%else
# Install /usr/bin/ecj script
sed 's:@JAVADIR@:%{_javadir}:g' < %{SOURCE20} > ecj
install -m755 ecj $RPM_BUILD_ROOT%{_bindir}
rm ecj
#%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post ecj
%{_bindir}/rebuild-gcj-db

%post jdt
%{_bindir}/rebuild-gcj-db
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%post jdt-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%post pde
%{_bindir}/rebuild-gcj-db
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%post pde-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%post rcp
%{_bindir}/rebuild-gcj-db

%post rcp-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%post -n %{libname}-gtk2
%{_bindir}/rebuild-gcj-db
%endif

%post platform
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post platform-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%postun ecj
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif

%postun jdt
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%postun jdt-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%postun pde
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%postun pde-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%postun rcp
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif

%postun rcp-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%postun -n %{libname}-gtk2
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif

%postun platform
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun platform-devel
if [ -x %{_datadir}/%{name}/buildscripts/rebuild-sdk-features ]; then
  %{_datadir}/%{name}/buildscripts/rebuild-sdk-features > /dev/null
fi

%files ecj
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/features
%dir %{_datadir}/%{name}/configuration
%{_datadir}/%{name}/plugins/org.eclipse.jdt.core_3.*
%dir %{_datadir}/java
%{_datadir}/java/jdtcore.jar
%{_datadir}/java/eclipse-ecj.jar
%{_bindir}/ecj
%if %{gcj_support}
# Native bits
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/org.eclipse.jdt.core_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.jdt.core_3.1.2.jar.db
%endif

%files -n %{libname}-gtk2 -f %{libname}-gtk2.install
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/features
%dir %{_datadir}/%{name}/configuration
%dir %{_datadir}/%{name}/configuration/org.eclipse.osgi
%dir %{_datadir}/%{name}/configuration/org.eclipse.osgi/bundles
# %{_datadir}/%{name}/configuration/org.eclipse.osgi/bundles/%{swt_bundle_id} is
# in libswt3-gtk2.install
%{_libdir}/%{name}/libswt-*.so
%{_libdir}/libswt-*.so
%{_javadir}/swt-gtk*.jar
%if %{gcj_support}
# Native bits
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/org.eclipse.jface_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.jface_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.jface.text_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.jface.text_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.swt.gtk.linux.%{eclipse_arch}_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.swt.gtk.linux.%{eclipse_arch}_3.1.1.jar.so
%endif

%files jdt -f %{name}-jdt.install
%{_bindir}/efj
%if %{gcj_support}
# Native bits
%{_libdir}/gcj/%{name}/org.eclipse.jdt.debug.ui_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.jdt.debug.ui_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.jdt.launching_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.jdt.launching_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.jdt.ui_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.jdt.ui_3.1.2.jar.so
%{_libdir}/gcj/%{name}/junitruntime.jar.db
%{_libdir}/gcj/%{name}/junitruntime.jar.so
%{_libdir}/gcj/%{name}/junitsupport.jar.db
%{_libdir}/gcj/%{name}/junitsupport.jar.so
%{_libdir}/gcj/%{name}/jdimodel.jar.db
%{_libdir}/gcj/%{name}/jdimodel.jar.so
%{_libdir}/gcj/%{name}/jdi.jar.db
%{_libdir}/gcj/%{name}/jdi.jar.so
%endif

%files jdt-devel
%{_datadir}/%{name}/plugins/org.eclipse.jdt.source_3.*
%{_datadir}/%{name}/features/org.eclipse.jdt.source_3.*

%files pde -f %{name}-pde.install
%if %{gcj_support}
# Native bits
%{_libdir}/gcj/%{name}/pdebuild.jar.so
%{_libdir}/gcj/%{name}/pdebuild.jar.db
%{_libdir}/gcj/%{name}/pdebuild-ant.jar.so
%{_libdir}/gcj/%{name}/pdebuild-ant.jar.db
%{_libdir}/gcj/%{name}/pdejunit.jar.so
%{_libdir}/gcj/%{name}/pdejunit.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.pde.core_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.pde.core_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.pde.runtime_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.pde.runtime_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.pde.ui_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.pde.ui_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.pde_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.pde_3.1.0.jar.db
%endif

%files pde-devel
%{_datadir}/%{name}/plugins/org.eclipse.pde.source_3.*
%{_datadir}/%{name}/features/org.eclipse.pde.source_3.*

%files rcp
%{_datadir}/%{name}/features/org.eclipse.rcp_3.*
%{_datadir}/%{name}/plugins/org.eclipse.rcp_3.*

%files rcp-devel
%{_datadir}/%{name}/plugins/org.eclipse.rcp.source_3.*
%{_datadir}/%{name}/plugins/org.eclipse.rcp.source.linux*
%{_datadir}/%{name}/features/org.eclipse.rcp.source_3.*

%files platform -f %{name}-platform.install
%ifarch %{ix86} x86_64
%{_datadir}/%{name}/about.html
%{_datadir}/%{name}/about_files
%endif
%{_datadir}/%{name}/.eclipseproduct
%{_datadir}/%{name}/startup.jar
%{_datadir}/%{name}/buildscripts
%{_libdir}/%{name}/eclipse
%{_libdir}/%{name}/libcore*
%{_libdir}/%{name}/libupdate*
# This is all from our FileInitializer extraction of .sos
# all extracted bundles other than SWT will be in eclipse-platform.install
%dir %{_datadir}/%{name}/configuration
%dir %{_datadir}/%{name}/configuration/org.eclipse.osgi
%dir %{_datadir}/%{name}/configuration/org.eclipse.osgi/bundles
%{_datadir}/%{name}/configuration/org.eclipse.osgi/.bundledata*
%{_datadir}/%{name}/configuration/org.eclipse.osgi/.lazy*
%{_datadir}/%{name}/configuration/org.eclipse.osgi/.manager
%{_datadir}/%{name}/configuration/org.eclipse.osgi/.state*
%{_datadir}/%{name}/configuration/config.ini
%{_datadir}/%{name}/configuration/org.eclipse.core.runtime
%{_datadir}/%{name}/configuration/org.eclipse.update
%{_datadir}/%{name}/eclipse
%{_bindir}/eclipse
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%config(noreplace) %{_sysconfdir}/eclipse.conf
%if %{gcj_support}
# Native bits
%{_libdir}/gcj/%{name}/startup.jar.so
%{_libdir}/gcj/%{name}/startup.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.commands_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.commands_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.core.expressions_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.expressions_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.core.filebuffers_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.filebuffers_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.core.resources_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.resources_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.core.resources.compatibility_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.resources.compatibility_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.core.runtime_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.runtime_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.core.runtime.compatibility_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.runtime.compatibility_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.core.variables_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.core.variables_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.help_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.help_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.help.appserver_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.help.appserver_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.help.base_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.help.base_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.help.ui_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.help.ui_3.1.1.jar.so
%{_libdir}/gcj/%{name}/jsp.jar.db
%{_libdir}/gcj/%{name}/jsp.jar.so
%{_libdir}/gcj/%{name}/servlets.jar.db
%{_libdir}/gcj/%{name}/servlets.jar.so
%{_libdir}/gcj/%{name}/webapp.jar.db
%{_libdir}/gcj/%{name}/webapp.jar.so
%{_libdir}/gcj/%{name}/tomcatwrapper.jar.db
%{_libdir}/gcj/%{name}/tomcatwrapper.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.browser_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.browser_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.cheatsheets_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.cheatsheets_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.console_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.console_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.editors_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.editors_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.externaltools_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.externaltools_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.forms_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.forms_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.ide_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.ide_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.intro_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.intro_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.presentations.r21_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.presentations.r21_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.views_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.views_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.workbench_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ui.workbench_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.workbench.texteditor_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ui.workbench.texteditor_3.1.2.jar.so
%{_libdir}/gcj/%{name}/compatibility.jar.db
%{_libdir}/gcj/%{name}/compatibility.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.update.configurator_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.update.configurator_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.update.core_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.update.core_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.update.scheduler_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.update.scheduler_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.update.ui_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.update.ui_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.osgi_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.osgi_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.osgi.services_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.osgi.services_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.osgi.util_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.osgi.util_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ant.core_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ant.core_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ant.ui_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ant.ui_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.compare_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.compare_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.debug.core_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.debug.core_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.debug.ui_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.debug.ui_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ltk.ui.refactoring_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ltk.ui.refactoring_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.ltk.core.refactoring_3.1.0.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.ltk.core.refactoring_3.1.0.jar.db
%{_libdir}/gcj/%{name}/activeHelpSample.jar.db
%{_libdir}/gcj/%{name}/activeHelpSample.jar.so
%{_libdir}/gcj/%{name}/platform.jar.db
%{_libdir}/gcj/%{name}/platform.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.team.core_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.team.core_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.team.cvs.core_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.team.cvs.core_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.team.cvs.ssh_3.1.0.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.team.cvs.ssh_3.1.0.jar.so
%{_libdir}/gcj/%{name}/cvsssh2.jar.so
%{_libdir}/gcj/%{name}/cvsssh2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.team.cvs.ui_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.team.cvs.ui_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.team.ui_3.1.1.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.team.ui_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.search_3.1.2.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.search_3.1.2.jar.db
%{_libdir}/gcj/%{name}/org.eclipse.text_3.1.1.jar.so
%{_libdir}/gcj/%{name}/org.eclipse.text_3.1.1.jar.db
# These will go away when we get a newer system ant
%{_libdir}/gcj/%{name}/ant.jar.db
%{_libdir}/gcj/%{name}/ant.jar.so
%endif

%files platform-devel
%{_datadir}/%{name}/plugins/org.eclipse.platform.source_3.*
%{_datadir}/%{name}/features/org.eclipse.platform.source_3.*
%{_datadir}/%{name}/plugins/org.eclipse.platform.source.linux.gtk.*_%{version}

%changelog
* Wed Jun 14 2006 Jason Corley <jason.corley@gmail.com> - 0:3.1.2-2jpp
- backport for JPP 1.6

* Mon Apr 03 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.1.2-1jpp
- Require lucene 1.9.1
  From Thu Mar 16 2006 Andrew Overholt <overholt@redhat.com>:
- 3.1.2.
- Adjust for lucene 1.9.1
- Bring in changes from FC-4 and FC-5 (see those changelogs for details).
- Export JAVA_HOME for build.
- Look for libjawt in multiple locations for the various proprietary JVMs.
- Set include path for jni.h.
- Decrement gtk requirement for RHEL-4.

* Fri Nov 11 2005 Fernando Nasser <fnasser@redhat.com> 0:3.0.2-5jpp
- Add header
- Rebuild for JPP 1.7
- Import spec file and pacthes with Red Hat changes as ours won't build
  (WARNING: local changes may have been lost)
  Fri Aug 11 2005 Jeff Pound <jpound@redhat.com> 3.0.2-8
- Use mozilla version 1.7.10.
  Fri Aug 05 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-7
- Build libswt-mozilla-gtk.so.
- Add patch for API change between mozilla 1.6 and 1.7.7.
  Mon Jul 18 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-6
- Add XTEST_LIB_PATH on x86_64 to stop unsatisfied link errors.
- Add xorg-x11-devel build requirement.
- BuildRequire java-devel (not java).
- Minor tweaks courtesy JPackage.org.
- Remove junit requirement (since we're using all Eclipse.org jars).
  Tue Jun 21 2005 Aaron Luchko <aluchko@redhat.com> 3.0.2-5
- Fixed permissions on %{_libdir}/%{name}/eclipse and %{_bindir}/eclipse
  Tue Jun 21 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-4
- Add x86_64.
  Fri Jun 03 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-3
- Update to new (as in Fedora Core 4) sub-RPM layout.
  Tue May 24 2005 Ben Konrath <bkonrath@redhat.com> 3.0.2-2
- Don't use %{eclipse_micro} for plugin names.
  Thu Apr 21 2005 Ben Konrath <bkonrath@redhat.com> 3.0.2-1
- Update sources to 3.0.2.
- Update SWT patches. 
  Tue Mar 29 2005 Andrew Overholt <overholt@redhat.com> 3.0.1-12
- Bump release.
- Add 64-bit awareness to SWT jar locations.
- Remove old changelog entries (< 3.0.1).

* Fri Aug 11 2005 Jeff Pound <jpound@redhat.com> 3.0.2-8
- Use mozilla version 1.7.10.

* Fri Aug 05 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-7
- Build libswt-mozilla-gtk.so.
- Add patch for API change between mozilla 1.6 and 1.7.7.

* Mon Jul 18 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-6
- Add XTEST_LIB_PATH on x86_64 to stop unsatisfied link errors.
- Add xorg-x11-devel build requirement.
- BuildRequire java-devel (not java).
- Minor tweaks courtesy JPackage.org.
- Remove junit requirement (since we're using all Eclipse.org jars).

* Tue Jun 21 2005 Aaron Luchko <aluchko@redhat.com> 3.0.2-5
- Fixed permissions on %{_libdir}/%{name}/eclipse and %{_bindir}/eclipse

* Tue Jun 21 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-4
- Add x86_64.

* Fri Jun 03 2005 Andrew Overholt <overholt@redhat.com> 3.0.2-3
- Update to new (as in Fedora Core 4) sub-RPM layout.

* Tue May 24 2005 Ben Konrath <bkonrath@redhat.com> 3.0.2-2
- Don't use %{eclipse_micro} for plugin names.

* Thu Apr 21 2005 Ben Konrath <bkonrath@redhat.com> 3.0.2-1
- Update sources to 3.0.2.
- Update SWT patches. 

* Tue Mar 29 2005 Andrew Overholt <overholt@redhat.com> 3.0.1-12
- Bump release.
- Remove old changelog entries (< 3.0.1).
- Add 64-bit awareness to SWT jar locations.

* Fri Mar 18 2005 Jeff Pound <jpound@redhat.com> 3.0.1-6
- Remove ia64 from xml workaround loop.

* Wed Jan 5 2005 Aaron Luchko <aluchko@redhat.com> 3.0.1-5
- fixed problem in search.patch
- added search.patch a backported bugfix from 3.1.0
- added charsets.patch to accommodate improper encodings and ibm jvm

* Mon Dec 06 2004 Aaron Luchko <aluchko@redhat.com> 3.0.1-4
- changed eclipse.script to use /usr/bin/java when no jvm is supplied

* Mon Nov 22 2004 Ben Konrath <bkonrath@redhat.com> 3.0.1-3
- split cvs-permission-bits.patch in two
- bug fix for cvs-permission-bits.patch

* Fri Oct 29 2004 Ben Konrath <bkonrath@redhat.com> 3.0.1-2
- add symlink for releng plugins that rely on o.e.pde.build_3.0.0

* Fri Oct 29 2004 Ben Konrath <bkonrath@redhat.com> 3.0.1-1
- updated to Eclipse 3.0.1
- updated jnigen patch
- removed some debugging print statements 
- updated Red Hat documentaion sources
- added Red Hat documentation pdf
- remove commented ftp-webdav stuff as it will be in it's own spec file
